## kwave 0.9.0-1

=== debian/changelog ===
kwave (0.9.0-1-2) unstable; urgency=medium

  * Team upload.
  * Backport part of upstream commit 90f6e432e06e9ec1480a24b37f5ffe5dec4f75fc
    to fix a double vs float mismatch in sonagram plugin (fixing build on arm*
    architectures); patch upstream_compile-fix-for-armv7l.patch.
  * Extend the dh_strip hack into an helper function, and apply it also to
    dh_shlibdeps: this way we have proper dependencies for all the libraries
    used by plugins.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Dec 2015 10:24:12 +0100

kwave (0.9.0-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - spelling-error-in-binary.patch: drop, fixed upstream
    - 07-no-rpath: refresh
    - fix-help_fr.po.patch: drop, fixed upstream
  * rules: use the kde dh addon, since kwave is a kdelibs-based application.
  * control: remove ${shlibs:Depends} from the kwave-dbg Depends.
  * Backport part of upstream commit 210ea799eb59efcfda21c677995a53042d34054a
    to make the documentation targets unique, fixing the build with
    cmake >= 3.3;
    patch upstream_fix-for-cmake-issues-with-l10n-fix-for-policy-CMP005.patch.
  * Remove unused build dependencies: imagemagick, recode, libgsl0-dev, and
    libicu-dev.
  * Fix the stripping of plugins: create temporary .so links to plugins (whose
    filenames have no extensions), so dh_strip is able to strip them.
  * Ensure that the cmake build is really verbose; patch cmake-verbose.diff.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Dec 2015 23:48:29 +0100
