## kwave 0.9.2-1

=== debian/changelog ===
kwave (0.9.2-1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 1bf6aa2f3c1742415755748fe80b5980a8b239e5 to fix
    build on powerpc architectures; patch
    upstream_compile-fix-for-ppc-optimized-memcpy-support-for-pow.patch.
  * Do not install the upstream README and TODO files as documentation, since
    they do not provide much user information.
  * Enable the MP3 support: (LP: #1233262)
    - pass -DWITH_MP3=ON to cmake

 -- Pino Toscano <pino@debian.org>  Fri, 01 Jul 2016 06:51:32 +0200

kwave (0.9.2-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - 07-no-rpath: refresh
    - plugins-not-executable.diff: drop, no more needed
    - upstream_move-unportable-includes-within-their-ifdef-blocks.patch: drop,
      backported from upstream
  * Remove kwave-dbg in favour of the -dbgsym packages.
  * Remove the dh_auto_install override, since now there is only one binary
    and everything is installed for it already.
  * Remove the libkf5guiaddons-dev, kinit-dev, and
    libkf5notifications-dev build dependencies, as they are not needed
    anymore.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jun 2016 22:29:52 +0200

kwave (0.9.1-1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 7b773ae4a6f0e8debeecb440e5d5e7528de804bd to fix
    the build on non-Linux architectures; patch
    upstream_move-unportable-includes-within-their-ifdef-blocks.patch.
  * Remove unused poxml and gawk build dependencies.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 15:03:52 +0100

kwave (0.9.1-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - 07-no-rpath: refresh
    - upstream_fix-for-cmake-issues-with-l10n-fix-for-policy-CMP005.patch:
      drop, backported from upstream
    - cmake-verbose.diff: refresh
    - upstream_compile-fix-for-armv7l.patch: drop, backported from upstream
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, qtmultimedia5-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5dbusaddons-dev,
      kdoctools-dev, libkf5guiaddons-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      kinit-dev, kio-dev, libkf5notifications-dev, libkf5service-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Remove the plugins hack in rules: now plugins have a proper .so extension,
    so debhelper tools can handle them correctly.
  * Use https for the Vcs-Browser field.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Link in as-needed mode.
  * Fix loading of plugins, by not requiring executable permissions on them;
    patch plugins-not-executable.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 12:25:42 +0100
