=== debian/control ===
--- 
+++ 
@@ -3,19 +3,36 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.4),
- kdelibs5-dev (>= 4:4.2.0), gettext, pkg-config,
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.16),
+ extra-cmake-modules (>= 1.7.0),
+ qtbase5-dev (>= 5.4.0),
+ qtmultimedia5-dev (>= 5.4.0),
+ libkf5completion-dev,
+ libkf5config-dev,
+ libkf5configwidgets-dev,
+ libkf5coreaddons-dev,
+ libkf5crash-dev,
+ libkf5dbusaddons-dev,
+ kdoctools-dev,
+ libkf5i18n-dev,
+ libkf5iconthemes-dev,
+ kio-dev,
+ libkf5service-dev,
+ libkf5textwidgets-dev,
+ libkf5widgetsaddons-dev,
+ libkf5xmlgui-dev,
+ gettext, pkg-config,
  libsamplerate0-dev, libpulse-dev,
  librsvg2-bin, libid3-3.8.3-dev (>= 3.8.3-4.2),
  libaudiofile-dev (>> 0.3.0), libogg-dev, libvorbis-dev (>= 1.0.0-2), libopus-dev (>= 1.0.0),
  libflac++-dev (>= 1.1.4), libmad0-dev,
  libasound2-dev [linux-any],
  libfftw3-dev,
- poxml, gawk, cmake
+ cmake,
 Homepage: http://kwave.sourceforge.net
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kwave/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kwave/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kwave/trunk
 
 Package: kwave
 Architecture: any
@@ -44,16 +61,3 @@
   * Extendable Plugin interface
   * a nice splashscreen
   * some label handling
-
-Package: kwave-dbg
-Architecture: any
-Depends: ${misc:Depends}, kwave (= ${binary:Version}) 
-Priority: extra
-Section: debug
-Description: sound editor for KDE - debug symbols
- Kwave is a sound editor designed for the KDE Desktop Environment.
- .
- With Kwave you can record, play back, import and edit many sorts of audio
- files including multi-channel files.
- .
- This package includes the debug symbols.
