## kwave 16.12.3

=== debian/changelog ===
kwave (16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 11 Mar 2017 08:51:52 +0000

kwave (16.12.1-0ubuntu1) zesty; urgency=medium

  [ Jonathan Riddell ]
  * Moved to KDE Applications, new version number

  [ Clive Johnston ]
  * New upstream release (16.12.0)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:16 +0000
