=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kwave-dbg (<< 0.9.2-1-1~)'
+
+override_dh_auto_test:
+	true
