## kwave 17.04.3

=== debian/changelog ===
kwave (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * debian/rules: switch to debian-qt-kde.mk
  * Update lintian overrides
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:46 +0100
